function [ At ] = IIRtruncate( A )
%[At] = IIRTRUNCATE( A )
%IIRTRUNCATE odstráni z vektoru (reprezentujúceho polynom) prebytočné
%počiatočné nuly
%Vstupy:    A - vektor koeficientov polynómu
%Výstup:    At - upravený vektor A, tak aby neobsahoval úvodné zbyťočné
%nuly, je to nutné pre vstup do funkcie IIRfilt

a = length(A);
i = 1;
k = 1;
while i>0 && k<=a
    if A(i) == 0
       A(i) = [];
    else
       i = 0;
    end
    k = k+1;
end

At = A;

end

